/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright (c) 2016-2021, NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */
#ifndef IOCONTROLS_H
#define IOCONTROLS_H

#ifdef __cplusplus
extern "C"
{
#endif

/*******************************************************************************
 * Definitions
 ******************************************************************************/
#define DiscnCtrlSignAddr                       DiscnCtrlAddr

#define DISCONCTRL_SIGN                         0xA5AD
  
#define RELAY_PULSE_HIGH_TIME_MS   40
/*******************************************************************************
* Prototypes
******************************************************************************/  
extern void AppGPIOInit(void);
extern void InitConnectDisconnect(void);
extern void CloseRelay(void);
extern void OpenRelay(void);
extern void CheckPowerStatus(void);
extern void ShutDownGPIOs(void);
#ifdef __cplusplus
}

#endif

#endif  /* IOCONTROLS_H */
